## org.codehaus.groovy.grails.plugins.support.aware
Class GrailsApplicationAwareBeanPostProcessor

    java.lang.Object
      org.codehaus.groovy.grails.plugins.support.BeanPostProcessorAdapter
          org.codehaus.groovy.grails.plugins.support.aware.GrailsApplicationAwareBeanPostProcessor

All Implemented Interfaces:
  BeanPostProcessor

    public class GrailsApplicationAwareBeanPostProcessor

extends BeanPostProcessorAdapter

Implementation of `BeanPostProcessor` that recognizes `GrailsApplicationAware` and injects and instance of `GrailsApplication`.

Since:
  0.2
Author:
  Steven Devijver

Constructor Summary
`GrailsApplicationAwareBeanPostProcessor(GrailsApplication grailsApplication)`

Method Summary
`Object` `postProcessBeforeInitialization(Object bean, String beanName)`

Methods inherited from class org.codehaus.groovy.grails.plugins.support.BeanPostProcessorAdapter
`postProcessAfterInitialization`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsApplicationAwareBeanPostProcessor

    public GrailsApplicationAwareBeanPostProcessor(GrailsApplication grailsApplication)

Method Detail

### postProcessBeforeInitialization

    public Object postProcessBeforeInitialization(Object bean,
                                                  String beanName)
                                           throws BeansException

  Specified by:
    `postProcessBeforeInitialization` in interface `BeanPostProcessor`
  Overrides:
    `postProcessBeforeInitialization` in class `BeanPostProcessorAdapter`
  Returns:
    The specified bean
  Throws:
    `BeansException`
  See Also:
    `BeanPostProcessor.postProcessBeforeInitialization(Object, String)`

Copyright (c) 2005-2009 The Grails project